document.addEventListener('DOMContentLoaded', () => {
    const blahPatterns = [
        "blah blah blah...",
        "BLAH! BLAH! BLAH!",
        "blah? ...blah... blah?",
        "b l a h . . .",
        "BlaH bLaH bLaH",
        "blah-blah-blah",
        "🗣️ blah 🗣️ blah 🗣️ blah",
        "~blah~ ~blah~ ~blah~"
    ];

    const generator = document.getElementById('blahGenerator');
    const output = document.getElementById('blahOutput');

    generator.addEventListener('click', () => {
        const randomPattern = blahPatterns[Math.floor(Math.random() * blahPatterns.length)];
        output.style.opacity = 0;
        
        setTimeout(() => {
            output.textContent = randomPattern;
            output.style.opacity = 1;
        }, 200);
    });

    // Animate gallery items on scroll
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.style.opacity = 1;
                entry.target.style.transform = 'translateY(0)';
            }
        });
    });

    document.querySelectorAll('.gallery-item').forEach(item => {
        item.style.opacity = 0;
        item.style.transform = 'translateY(20px)';
        observer.observe(item);
    });
});